
BIBD 3.9.8 (BCR1085, BCR1093, BCR1098) - Bug #17754

[BCR1098][iOS][Bill Payment Fav][Manage Fav] Error Message for missing field should be more

specific

13 September 2023 12:45 PM - Feerman Yusoff

Status: Closed Start date: 13 September 2023

Priority: Normal Due date:  

Assignee: wanansari wanansari % Done: 100%

Category:  Estimated time: 1.00 hour

Target version:  Spent time: 2.00 hours

Description

Steps:

1. Click Settings and go to Manage Favourites

2. Select Bill Payment

3. Click Add to Favourites

4. Input empty in Nickname, Payee Name and Bill No./Ref-1 field

Issue: Wrong error message for empty Nickname, Payee Name and Bill No./Ref-1 field

Expected: Should Display error for all mandatory missing field "Please enter Nickname, Payee Name, Bill No./Ref-1"

History

#1 - 13 September 2023 06:36 PM - Rafly Prayogos

- File WhatsApp Image 2023-09-13 at 17.32.31.jpeg added

- Status changed from New to Resolved

- Assignee changed from Rafly Prayogos to Feerman Yusoff

- % Done changed from 0 to 100

- Estimated time set to 1.00

SIT -> https://i.diawi.com/uWzRAo

#2 - 15 September 2023 02:38 PM - Feerman Yusoff

- Status changed from Resolved to Assigned

- Assignee changed from Feerman Yusoff to Rafly Prayogos

Expected: Should Display error for all mandatory missing field

1. If empty nickname, Display error "Please enter Nickname"

2. If not select payee name, Display error "Please select Payee Name"

3. If empty Bill No./Ref-1, Display error "Please enter Bill No./Ref-1"

4. If empty nickname and Bill No./Ref-1, Display error "Please enter Nickname, Bill No./Ref-1"

5. If empty nickname, payee name and Bill No./Ref-1, "Please enter Nickname, Payee Name, Bill No./Ref-1"

6. If empty nickname and payee name, Display error "Please enter Nickname, payee name"

7. If empty payee name and Bill No./Ref-1, "Please enter Payee Name, Bill No./Ref-1"

#3 - 15 September 2023 04:58 PM - Rafly Prayogos

- File WhatsApp Video 2023-09-15 at 15.51.07.mp4 added

- Assignee changed from Rafly Prayogos to Feerman Yusoff

20 April 2025 1/2

https://i.diawi.com/uWzRAo


SIT -> https://i.diawi.com/CPTj7o

#4 - 21 September 2023 06:13 PM - Feerman Yusoff

- Status changed from Assigned to Closed

- Assignee changed from Feerman Yusoff to wanansari wanansari

Tested Good

Files

WhatsApp Image 2023-09-13 at 17.32.31.jpeg 49.4 KB13 September 2023 Rafly Prayogos

WhatsApp Video 2023-09-15 at 15.51.07.mp4 2.17 MB15 September 2023 Rafly Prayogos
